####################################################################################
# Refines xp point value to better match pre-calculation
# Binary Decomposition by Cloud Wolf
#
# sets xp points to 0 for calculation
# goes through every xp point bit and assigns approximate point value
# as such, xp points may not be 100% accurate, but it close enough
####################################################################################

execute if score @s ddxp_refinePoints matches 1024.. run xp add @s 1024 points
xp set @s 0 points
execute if score @s ddxp_refinePoints matches 1024.. run scoreboard players remove @s ddxp_refinePoints 1024
execute if score @s ddxp_refinePoints matches 512.. run xp add @s 512 points
execute if score @s ddxp_refinePoints matches 512.. run scoreboard players remove @s ddxp_refinePoints 512
execute if score @s ddxp_refinePoints matches 256.. run xp add @s 256 points
execute if score @s ddxp_refinePoints matches 256.. run scoreboard players remove @s ddxp_refinePoints 256
execute if score @s ddxp_refinePoints matches 128.. run xp add @s 128 points
execute if score @s ddxp_refinePoints matches 128.. run scoreboard players remove @s ddxp_refinePoints 128
execute if score @s ddxp_refinePoints matches 64.. run xp add @s 64 points
execute if score @s ddxp_refinePoints matches 64.. run scoreboard players remove @s ddxp_refinePoints 64
execute if score @s ddxp_refinePoints matches 32.. run xp add @s 32 points
execute if score @s ddxp_refinePoints matches 32.. run scoreboard players remove @s ddxp_refinePoints 32
execute if score @s ddxp_refinePoints matches 16.. run xp add @s 16 points
execute if score @s ddxp_refinePoints matches 16.. run scoreboard players remove @s ddxp_refinePoints 16
execute if score @s ddxp_refinePoints matches 8.. run xp add @s 8 points
execute if score @s ddxp_refinePoints matches 8.. run scoreboard players remove @s ddxp_refinePoints 8
execute if score @s ddxp_refinePoints matches 4.. run xp add @s 4 points
execute if score @s ddxp_refinePoints matches 4.. run scoreboard players remove @s ddxp_refinePoints 4
execute if score @s ddxp_refinePoints matches 2.. run xp add @s 2 points
execute if score @s ddxp_refinePoints matches 2.. run scoreboard players remove @s ddxp_refinePoints 2
execute if score @s ddxp_refinePoints matches 1.. run xp add @s 1 points
execute if score @s ddxp_refinePoints matches 1.. run scoreboard players remove @s ddxp_refinePoints 1