# Optional clickable text that will apply the xp penalty after you die
# Has to store player health to toggle to display xp penalty message when health is zero
# stores health to toggle penalty message
# re-enables trigger scoreboard to function

execute as @a[scores={ddxp_deathTime=0}] run function dont_drop_xp:xp_penalty

execute as @a at @s store result score @s ddxp_healthCheck run data get entity @s Health 10

execute as @a[scores={ddxp_deathTime=0}] run scoreboard players enable @a ddxp_penaltyInt
execute as @a[scores={ddxp_healthCheck=0}] run scoreboard players set @a ddxp_displayPenalty 1

####################################################################################################
#
# For When Penalty is set to do "Both; Players Decide"
#
execute if score in ddxp_enablePenalty matches 2 as @a[scores={ddxp_deathTime=1,ddxp_displayPenalty=1}] run tellraw @s ["",{"text":"Switch to Losing ","color":"red"},{"score":{"name":"in","objective":"ddxp_percentLost"},"color":"red"},{"text":"% of your XP as a Penalty? :: [ ","color":"red"},{"text":"Yes","color":"white","clickEvent":{"action":"run_command","value":"/trigger ddxp_penaltyInt"}},{"text":" ]","color":"red"}]
#
# For When Penalty is set to "Drop X% of XP"
#
execute if score in ddxp_enablePenalty matches 1 as @a[scores={ddxp_deathTime=1,ddxp_displayPenalty=1}] run scoreboard players set @s ddxp_penaltyInt 1
#
####################################################################################################

# converts health to displayPenalty boolean
# ensures that if a player uninstalls datapack, reinstalls, then clicks "apply penalty," it doesn't actually apply the penalty the next time they die
# extra step to prevent losing n% of xp, then another n% of that

execute as @a unless entity @s[scores={ddxp_displayPenalty=1}] run scoreboard players set @s ddxp_penaltyInt 0

###################################################
#
# Applies penalty when 
#
execute as @a[scores={ddxp_deathTime=1..,ddxp_penaltyInt=1,ddxp_displayPenalty=1}] at @s run function dont_drop_xp:apply_penalty

#execute if score in ddxp_enablePenalty matches 1 as @a[scores={ddxp_deathTime=1..,ddxp_penaltyInt=1,ddxp_displayPenalty=1}] at @s run function dont_drop_xp:apply_penalty