####################################################################################
# Transfers xp points from scoreboard to player
# Binary Decomposition by Cloud Wolf
#
# sets xp points to 0(gets overwritted anyways @s refinedpoints function)
# for point calculation, sets it to 129 levels then later 5 (based on formula from wiki)
# goes through every xp point bit and assigns approximate point value
# as such, xp points may not be 100% accurate, but it close enough
####################################################################################

xp set @s 0 points
xp set @s 129 levels
execute if score @s ddxp_points matches 1024.. run xp add @s 1024 points
execute if score @s ddxp_points matches 1024.. run scoreboard players remove @s ddxp_points 1024
execute if score @s ddxp_points matches 512.. run xp add @s 512 points
execute if score @s ddxp_points matches 512.. run scoreboard players remove @s ddxp_points 512
execute if score @s ddxp_points matches 256.. run xp add @s 256 points
execute if score @s ddxp_points matches 256.. run scoreboard players remove @s ddxp_points 256
execute if score @s ddxp_points matches 128.. run xp add @s 128 points
execute if score @s ddxp_points matches 128.. run scoreboard players remove @s ddxp_points 128
execute if score @s ddxp_points matches 64.. run xp add @s 64 points
execute if score @s ddxp_points matches 64.. run scoreboard players remove @s ddxp_points 64
execute if score @s ddxp_points matches 32.. run xp add @s 32 points
execute if score @s ddxp_points matches 32.. run scoreboard players remove @s ddxp_points 32
execute if score @s ddxp_points matches 16.. run xp add @s 16 points
execute if score @s ddxp_points matches 16.. run scoreboard players remove @s ddxp_points 16
execute if score @s ddxp_points matches 8.. run xp add @s 8 points
execute if score @s ddxp_points matches 8.. run scoreboard players remove @s ddxp_points 8
execute if score @s ddxp_points matches 4.. run xp add @s 4 points
execute if score @s ddxp_points matches 4.. run scoreboard players remove @s ddxp_points 4
execute if score @s ddxp_points matches 2.. run xp add @s 2 points
execute if score @s ddxp_points matches 2.. run scoreboard players remove @s ddxp_points 2
execute if score @s ddxp_points matches 1.. run xp add @s 1 points
execute if score @s ddxp_points matches 1.. run scoreboard players remove @s ddxp_points 1
xp set @s 5 levels